Page MenuHomePhabricator

When doing a diff between two identical revisions, add an explicit "there are no differences" message where diff usually is, instead of an empty space
Closed, ResolvedPublic

Description

Author: nickpj

Description:
If we do a diff, and there are no differences, currently it says "(11 intermediate revisions not shown.)" or "(One intermediate revision not shown.)"

Can it maybe instead say "No differences. (11 intermediate revisions not shown.)", or "These versions are identical. (11 intermediate revisions not shown.)", or something like that?

I know this is trivial thing to ask for, but the latter seems clearer to me.


Version: 1.18.x
Severity: enhancement
URL: https://www.mediawiki.org/w/index.php?title=User%3ANemo_bis%2Fbug14431&diff=565617&oldid=565615

Details

Reference
bz14431

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 10:09 PM
bzimport set Reference to bz14431.
bzimport created this task.Jun 6 2008, 7:36 AM
aaron added a comment.Dec 29 2008, 6:52 PM

I'm not sure this would add anything useful

aaron added a comment.Jan 2 2009, 4:41 PM

If we do this, why not also for cases with no intermediate revisions?

nickpj wrote:

I'm not sure this would add anything useful

It's only a minor suggestion; you're welcome to close as wontfix if you disagree with it.

If we do this, why not also for cases with no intermediate revisions?

If there are no differences between two revisions, then (irrespective of how many intermediate revisions) then I personally would like it to explicitly say so. At the moment every time I see this message, I almost have internally translate "intermediate revisions not shown" into plain English, e.g. "there are no differences". When I use the diff tool to make sure that I have reverted vandalism correctly, I'm not too concerned about how many intermediate revisions there are - all I'm looking for is to confirm that it's back to how it was before. Personally I'd be happy with single line of text that said simply: "They're the same!" - i.e. fewer details, shorter text, greater simplicity, and more "say what you mean".

matthew.britton wrote:

(In reply to comment #3)

At the moment every time I see this message, I almost have internally
translate "intermediate revisions not shown" into plain English, e.g. "there
are no differences".

That's not what that message means. "Intermediate revisions not shown" appears for a diff of any two non-consecutive revisions even when there *are* differences between them:

http://en.wikipedia.org/w/index.php?title=Foobar&diff=264943182&oldid=55039502

If this request was implemented, the existing message would still have to be displayed, you just want an additional message when there are no differences. :)

nickpj wrote:

If this request was implemented, the existing message would still have to
be displayed, you just want an additional message when there are no
differences. :)

Ahhh - I stand corrected! Indeed, thank you for explaining, and yes, I agree.

  • Bug 18215 has been marked as a duplicate of this bug. ***

An idea to fix this bug: function 'addHeader' in 'DifferenceEngine.php' should test if $diff only a html comment (by an empty diff, there is only the info over the diff generator with leading and trailing whitespace) and then set a message instead of the $header and $diff to clarify that there is no diff between the revisions. Do not forget $multi.

I am not so familar with php and mediawiki, so I cannot give you a patch, only this idea.

utopianfiat wrote:

I don't know if this applies, but I've got a diff on a wikipedia article that's buggin'
http://en.wikipedia.org/w/index.php?title=Ares_I&action=historysubmit&diff=317703369&oldid=317700423
good luck

sumanah wrote:

I just tested and was able to reproduce the situation in MediaWiki 1.18: https://www.mediawiki.org/w/index.php?title=Sandbox&action=historysubmit&diff=441853&oldid=441850

I agree that it would be friendlier to the user to explicitly state "These two versions are the same" somehow. We should be friendlier than the "no error message == success" command-line environment! :-) Like Nick in comment #3, when I use the diff tool to make sure that I have reverted something correctly, I want an explicit confirmation that the wikitext is back to how it was before.

Tagging "design" because it would be nice for jorm or another UI designer to weigh in here.

Scott (comment #8), I think that example does not quite apply, because there are a few minor differences between those two diffs (for example, a br tag at the end of Line 33). This issue is about two revisions that are *identical*.

Changed URL, page has been deleted.
This bug mixes many issues and misunderstandings, mainly because the diff visualization used to be horrible and null diffs can happen only between non-sequential edits. As such, I'm tempted to close it as invalid.
However, there could be a little value in adding an explicit message instead of the empty diff; this also applies to edit mode, "show changes", which just leaves nothing between "Latest revision – Your text" and the text area if there's no diff.
Let's close it WORKSFORME, reopen if you care.

  • Bug 22448 has been marked as a duplicate of this bug. ***

Fixed in I458fb688.

Change 82103 had a related patch set uploaded by PleaseStand:
Add missing bug number for I458fb688

https://gerrit.wikimedia.org/r/82103

Change 82103 merged by jenkins-bot:
Add missing bug number for I458fb688

https://gerrit.wikimedia.org/r/82103